
<template>
    <div class="marketBottom__center noMobile">
        <div class="profile__box">
            <div class="profile__line js-openClose-menu"
                 @click="firstDown = !firstDown"
                 :class="{active: firstDown}">
                <p class="profile__box-item">Фильтры</p>
                <div class="profile__line-openClose orange">
                    <div class="profile__line-line"></div>
                    <div class="profile__line-line"></div>
                </div>`
            </div>
            <Vue3SlideUpDown class="profile__box-content" v-model="firstDown">
                <div v-for="tag in props.tags.data" class="marketBottom__checkbox-wrapper">
                    <input
                        class="marketBottom__checkbox"
                        v-model="tagItems"
                        :id="tag.name"
                        :value="tag.name"
                        type="checkbox"
                    />
                    <label
                        class="marketBottom__checkbox-custom"
                        :for="tag.name"
                    ></label>
                    <p class="marketBottom__checkbox-text">{{ tag.name }}</p>
                </div>
            </Vue3SlideUpDown>
        </div>
        <a @clickc="submit" class="marketBottom__center-reset button flex" href="">Применить</a
        ><a class="marketBottom__center-reset button flex" href="">Очистить</a>
    </div>
</template>

<script setup>
import {inject, ref, watch,} from "vue";
import { Vue3SlideUpDown } from 'vue3-slide-up-down';

const props  = defineProps({
    tags:Object
})

const submit = () => {
    
}

const firstDown = ref(false);
const tagItems = ref([])
const games = inject('games')
watch(
    () => tagItems.value,
    (item) => {
        games.games.data = {}
    }
);

</script>

